REMOVEPKG(8)

NOME
removepkg - remove pacotes Slackware.

SINOPSE
removepkg nomedopacote

[ ROOT=/mnt ] removepkg [ -copy ] [ -keep ] [ -preserve ] [ -warn ] nomedopacote

DESCRIÇÃO
removepkg remove um pacote Slackware instalado anteriormente, ao escrever um relatório de progresso na saída padrão. Um pacote pode ser especificado pelo nome completo do pacote (como você veria listado em /var/log/packages/), ou o nome básico do pacote. Por exemplo, o pacote foo-1.0-i486-1.tgz pode ser removido com qualquer um dos seguintes comandos: removepkg foo-1.0-i486-1.tgz (também reconhecido: .tbz, .tlz, .txz) removepkg foo-1.0-i486-1 removepkg foo.tgz removepkg foo Ao excluir ficheiros, removepkg irá analisar o conteúdo dos outros pacotes instalados no seu sistema, e apenas vai apagar os ficheiros que são exclusivos para o pacote que está a ser removido. Da mesma forma, os scripts de instalação para todos os outros pacotes serão considerados ao decidir se deve ou não apagar links simbólicos do pacote.

A remoção de um pacote (assim como a instalação de um) pode ser uma tarefa perigosa. Por esta razão, existe a opção -warn disponível. Quando você usa esta opção, o removepkg realmente não vai remover quaisquer ficheiros ou ligações, mas vai produzir um relatório detalhado sobre o que faria se você realmente removesse o pacote. Sugere-se que você faça isso (e talvez canalize a saída para less ) antes de retirar os pacotes para se certificar de que você tenha feito uma cópia de segurança de qualquer coisa que possa ser importante.

Ao remover um pacote, o índice do ficheiro original será movido a partir de /var/log/packages para /var/log/removed_packages. Da mesma forma, o seu script de instalação vai ser transferido de /var/log/scripts para /var/log/removed_scripts.

OPÇÕES

-warn nomedopacote
    Cria um relatório para a saída padrão sobre quais ficheiros e diretórios seriam removidos, mas na verdade não remove o pacote.

-preserve nomedopacote
    Se especificado, o pacote completo é reconstruído em /var/log/setup/tmp/preserved_packages/nomedopacote.

-copy nomedopacote
    Construa uma cópia do pacote em /var/log/setup/tmp/preserved_packages/nomedopacote, mas não os remove. (mesmo efeito que -warn-preserve)

-keep
    Salve os ficheiros intermediários criados por removepkg (delete_list, required_files, uniq_list, del_link_list, required_links, required_list). Muito útil para fins de depuração.

É possível remover um pacote a partir de um sistema de ficheiros diferente de / fornecendo removepkg com a variável de ambiente ROOT:

ROOT=/mnt removepkg pacote

AUTORES
Patrick J. Volkerding <volkerdi@slackware.com>, com melhorias de Christian Franke <c.franke@acm.org>

VER TAMBÉM
installpkg(8), makepkg(8), pkgtool(8), upgradepkg(8)